r134 - in builds: . debian_stable debian_stable/confgui_debug debian_unstable/default__gtk_textui_oss debian_unstable/gtk_textui_alsa_zrtp debian_unstable/gtk_textui_oss_smartcard debian_unstable/package_deb_0.7.0-rREV_default debian_unstable/textui_oss_ldap debian_unstable/textui_oss_srp_onlineconf mingw32_on_debian_unstable/gtk_dsound_debug

erik at minisip.org erik at minisip.org
Tue Nov 27 16:54:46 CET 2007


Author: erik
Date: 2007-11-27 16:54:45 +0100 (Tue, 27 Nov 2007)
New Revision: 134

Added:
   builds/debian_stable/
   builds/debian_stable/confgui_debug/
   builds/debian_stable/confgui_debug/README.txt
   builds/debian_stable/confgui_debug/build.sh
Modified:
   builds/debian_unstable/default__gtk_textui_oss/build.sh
   builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh
   builds/debian_unstable/gtk_textui_oss_smartcard/build.sh
   builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh
   builds/debian_unstable/textui_oss_ldap/build.sh
   builds/debian_unstable/textui_oss_srp_onlineconf/build.sh
   builds/machines.conf
   builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
Log:

 * Made auto-builds less verbose. This will make the auto-build email
   reports a bit smaller.
 * Added a Debian stable auto-build machine.
 * Added an auto-compile of Blerta Bishajs conference gui text implementation.



Added: builds/debian_stable/confgui_debug/README.txt
===================================================================
--- builds/debian_stable/confgui_debug/README.txt	                        (rev 0)
+++ builds/debian_stable/confgui_debug/README.txt	2007-11-27 15:54:45 UTC (rev 134)
@@ -0,0 +1,3 @@
+
+This build tries to compile the conference "GUI" developed by Blerta
+Bishaj.

Added: builds/debian_stable/confgui_debug/build.sh
===================================================================
--- builds/debian_stable/confgui_debug/build.sh	                        (rev 0)
+++ builds/debian_stable/confgui_debug/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+REV=$1
+BASE=`pwd`
+PREFIX=${BASE}/usr
+REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
+export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
+export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
+mkdir -p ${PREFIX}/share/aclocal
+
+svn co -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
+
+# wait if high load (only available on dev.minisip.org)
+sleep_while_load 2
+
+# compile without any configure options (other than the prefix)
+cd trunk
+for LIB in libmutil libmnetutil libmcrypto libmstun libmikey libmsip libminisip minisip ; do
+    cd $LIB
+    echo "" >&2
+    echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
+    ./bootstrap && ./configure -q --enable-confgui --enable-debug prefix=$PREFIX && nice -16 make -s -j2 && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    cd .. 
+done
+
+#cd $BASE
+#mkdir output
+#cp something_to_put_on_www output
+


Property changes on: builds/debian_stable/confgui_debug/build.sh
___________________________________________________________________
Name: svn:executable
   + *

Modified: builds/debian_unstable/default__gtk_textui_oss/build.sh
===================================================================
--- builds/debian_unstable/default__gtk_textui_oss/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/debian_unstable/default__gtk_textui_oss/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -23,7 +23,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-textui prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure -q --enable-textui prefix=$PREFIX && nice -16 make -s -j2 && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh
===================================================================
--- builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/debian_unstable/gtk_textui_alsa_zrtp/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -27,7 +27,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-textui --enable-zrtp --enable-alsa --with-openssl=no --with-gnutls=yes prefix=$PREFIX && nice -16 make -j2 && nice -16  make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure -q --enable-textui --enable-zrtp --enable-alsa --with-openssl=no --with-gnutls=yes prefix=$PREFIX && nice -16 make -s -j2 && nice -16  make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/gtk_textui_oss_smartcard/build.sh
===================================================================
--- builds/debian_unstable/gtk_textui_oss_smartcard/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/debian_unstable/gtk_textui_oss_smartcard/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -25,7 +25,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-scsim --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure -q --enable-scsim --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && nice -16 make -s -j2 && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh
===================================================================
--- builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/debian_unstable/package_deb_0.7.0-rREV_default/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -25,7 +25,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure -q --enable-gtkgui --enable-textui --disable-gconf prefix=$PREFIX && nice -16 make -s -j2 && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/textui_oss_ldap/build.sh
===================================================================
--- builds/debian_unstable/textui_oss_ldap/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/debian_unstable/textui_oss_ldap/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -29,7 +29,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-debug --enable-textui --enable-ldap prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure -q --enable-debug --enable-textui --enable-ldap prefix=$PREFIX && nice -16 make -s -j2 && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/debian_unstable/textui_oss_srp_onlineconf/build.sh
===================================================================
--- builds/debian_unstable/textui_oss_srp_onlineconf/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/debian_unstable/textui_oss_srp_onlineconf/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -31,7 +31,7 @@
     cd $LIB
     echo "" >&2
     echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-    ./bootstrap && ./configure --enable-textui LIBS="-lgnutls-extra -lgnutls" --with-gnutls=yes --with-openssl=no --enable-srp --enable-onlineconf prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+    ./bootstrap && ./configure -q --enable-textui LIBS="-lgnutls-extra -lgnutls" --with-gnutls=yes --with-openssl=no --enable-srp --enable-onlineconf prefix=$PREFIX && nice -16 make -s -j2 && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
     cd .. 
 done
 

Modified: builds/machines.conf
===================================================================
--- builds/machines.conf	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/machines.conf	2007-11-27 15:54:45 UTC (rev 134)
@@ -1,4 +1,5 @@
 # SYNTAX: MACHINE SINGLETAB HOST CMDPREFIX (CASE SENSITIVE)
 debian_unstable	svn at dev.minisip.org
+debian_stable	autobuild at svn.minisip.org
 mingw32_on_debian_unstable	svn at dev.minisip.org
 wxp_vs8	svn at winbuild.minisip.org	cmd /C

Modified: builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
===================================================================
--- builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh	2007-11-26 12:10:17 UTC (rev 133)
+++ builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh	2007-11-27 15:54:45 UTC (rev 134)
@@ -33,7 +33,7 @@
 	cd $LIB
 	echo "" >&2
 	echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
-	./bootstrap && ./configure --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB}  && nice -16 make && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+	./bootstrap && ./configure -q --enable-dsound --disable-gconf --enable-debug --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static prefix=${PREFIX} CPPFLAGS="-I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB}  && nice -16 make -s && nice -16 make -s install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
 	cd ..
 done
 



More information about the Minisip-devel mailing list